Rank projects by handle
curl --request POST \
--url https://api.kanarie.xyz/api/v1/content/top-projects-by-handle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"handles": [
"inversebrah",
"DefiIgnas"
]
}
'const url = 'https://api.kanarie.xyz/api/v1/content/top-projects-by-handle';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({handles: ['inversebrah', 'DefiIgnas']})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/content/top-projects-by-handle"
payload = { "handles": ["inversebrah", "DefiIgnas"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"error": null,
"data": [
{
"project_id": 1,
"project_name": "Jupiter",
"symbol": "JUP",
"total_relevance": 0.95,
"post_count": 12
}
],
"metadata": {
"handles": [
"inversebrah"
],
"total_results": 1
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Content
Rank projects by handle
Rank projects mentioned by one or more Twitter/X handles. Supports API key auth or x402 fallback.
POST
https://api.kanarie.xyz
/
api
/
v1
/
content
/
top-projects-by-handle
Rank projects by handle
curl --request POST \
--url https://api.kanarie.xyz/api/v1/content/top-projects-by-handle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"handles": [
"inversebrah",
"DefiIgnas"
]
}
'const url = 'https://api.kanarie.xyz/api/v1/content/top-projects-by-handle';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({handles: ['inversebrah', 'DefiIgnas']})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/content/top-projects-by-handle"
payload = { "handles": ["inversebrah", "DefiIgnas"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"error": null,
"data": [
{
"project_id": 1,
"project_name": "Jupiter",
"symbol": "JUP",
"total_relevance": 0.95,
"post_count": 12
}
],
"metadata": {
"handles": [
"inversebrah"
],
"total_results": 1
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Authorizations
bearerAuthkanarieApiKey
Preferred Kanarie API key authentication using Authorization: Bearer .
Body
application/json
Required array length:
1 - 50 elementsRequired range:
1 <= x <= 365Required range:
1 <= x <= 100Required range:
0 <= x <= 10000Available options:
total_relevance, total_sentiment, post_count, avg_relevance, market_cap Available options:
market_data, mindshare, project_info, token_details, recent_posts, technical_analysis Was this page helpful?